>From 6d86b4246fffcaf92ffa85358357424dcde85fec Mon Sep 17 00:00:00 2001
From: Stefano Sabatini <stefasab@gmail.com>
Date: Mon, 21 Mar 2016 09:44:09 +0100
Subject: [PATCH] configure: recognize the msys shell

This makes it possible to build with a MSYS2 shell.

For some reason the old config.guess script in usage was only recognizing
MSYS systems with machine name starting with "i". The patch makes
config.guess accept all MSYS machines, and makes the configure script
recognize the msys pattern returned by config.guess.
---
 config.guess | 2 +-
 configure    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/config.guess b/config.guess
index 375fa2a..2fb9f88 100755
--- a/config.guess
+++ b/config.guess
@@ -811,7 +811,7 @@ EOF
     *:MINGW*:*)
 	echo ${UNAME_MACHINE}-pc-mingw32
 	exit ;;
-    i*:MSYS*:*)
+    *:MSYS*:*)
 	echo ${UNAME_MACHINE}-pc-msys
 	exit ;;
     i*:windows32*:*)
diff --git a/configure b/configure
index f7b14d9..d2e2199 100755
--- a/configure
+++ b/configure
@@ -546,7 +546,7 @@ trap 'rm -rf conftest*' EXIT
 # test for use of compilers that require specific handling
 cc_base=`basename "$CC"`
 QPRE="-"
-if [[ $host_os = mingw* || $host_os = cygwin* ]]; then
+if [[ $host_os = mingw* || $host_os = msys* || $host_os = cygwin* ]]; then
     if [[ "$cc_base" = icl || "$cc_base" = icl[\ .]* ]]; then
         # Windows Intel Compiler creates dependency generation with absolute Windows paths, Cygwin's make does not support Windows paths.
         [[ $host_os = cygwin* ]] && die "Windows Intel Compiler support requires MSYS"
-- 
1.9.1

